{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Keygen execution",
  "actions":[
    {
      "action":"vftm_run_key_generator",
      "args":{
        "command_variables":true,
        "command":[
          "bash",
          "-c",
          "VYSTEM_KEYGEN_PASSWORD=\"$VYSTEM_KEYGEN_PASSWORD$\" sudo -E ./keygen/keygen ./config/bp.cfg ./fontgen/font.fbm ./initfsgen/initfsfp.bin ./initfsgen/sshash.bin"
        ],
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$",
        "socket_path_variables":true,
        "socket_path":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/vftm.sock"
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/key.h",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$EDK2_BLASTPROOF_DIR$/src/libs/include"
      }
    }
  ]
}
